com.marklogic.xcc

## Class DocumentRepairLevel

- java.lang.Object
- - com.marklogic.xcc.DocumentRepairLevel

-     public final class DocumentRepairLevel
      extends java.lang.Object

  A typesafe enumeration class defining load-time document repair levels.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentRepairLevel` | `DEFAULT` Use server's default repair mode, which depends on the App Server default XQuery version setting: 'none' for 1.0-ml or 1.0, 'full' for 0.9-ml or for MarkLogic Server releases prior to 4.0.
    `static DocumentRepairLevel` | `FULL` Repair document to make it well formed, if possible.
    `static DocumentRepairLevel` | `NONE` No automatic repair, insert as-is or error out if not well formed.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` The name of this repair level: "none" or "full".

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final DocumentRepairLevel NONE

      No automatic repair, insert as-is or error out if not well formed.

    - #### FULL

          public static final DocumentRepairLevel FULL

      Repair document to make it well formed, if possible.

    - #### DEFAULT

          public static final DocumentRepairLevel DEFAULT

      Use server's default repair mode, which depends on the App Server default XQuery version setting: 'none' for 1.0-ml or 1.0, 'full' for 0.9-ml or for MarkLogic Server releases prior to 4.0.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      The name of this repair level: "none" or "full".
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The name of this document repair level, for diagnostic purposes.

Copyright © 2025 MarkLogic Corporation. All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com